Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class ResponseMessageProcessorsFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.ResponseMessageProcessorsFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean

    public class ResponseMessageProcessorsFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean

Field Summary
`protected List` | `responseMessageProcessors`

Constructor Summary
`ResponseMessageProcessorsFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setResponseMessageProcessors(List responseMessageProcessors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### responseMessageProcessors

    protected List responseMessageProcessors

Constructor Detail

### ResponseMessageProcessorsFactoryBean

    public ResponseMessageProcessorsFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### setResponseMessageProcessors

    public void setResponseMessageProcessors(List responseMessageProcessors)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.